首页 新闻 搜索 专区 学院

web项目,在eclipse上运行正常,打成war包部署到tomcat下,提示出错

0
悬赏园豆:30 [已关闭问题] 关闭于 2018-09-18 16:45

部署到tomcat上,在浏览器访问,提示两种错误:

1. "java.lang.ClassNotFoundException: org.apache.jsp.WEB_002dINF.view.login_jsp"

  有网友说,这个错误是由于项目引入的servlet-api和tomcat自带的版本号不同,冲突.详细介绍见(https://www.cnblogs.com/gifisan/p/5242887.html).我更改了版本号,没有作用,继续提示错误.

2. "The absolute uri: http://java.sun.com/jsp/jstl/core cannot be resolved in ei..."

  a) 我项目使用的jstl版本是1.2,

  b) 我在jsp页面使用的引入标签是:<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

  c)我的打包项目的WEB-INF/lib中有jstl-1.2.jar

  d) 我的tomcat的lib包下也复制了jstl-1.2.jar

  浏览器仍然提示错误.

折腾了一下午,妈的fuck.

donfaquir的主页 donfaquir | 初学一级 | 园豆:63
提问于:2018-08-17 17:44
< >
分享
所有回答(1)
0

老哥你问题解决了吗 我也遇到同样的问题了

ggdog | 园豆:202 (菜鸟二级) | 2018-11-23 10:41

没有,我放弃手动打包了,用idea打包

支持(0) 反对(0) donfaquir | 园豆:63 (初学一级) | 2018-11-29 21:13
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册